JBoss API: Class SecurityRoleRefMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class SecurityRoleRefMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.SecurityRoleRefMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class SecurityRoleRefMetaData
extends MetaData

The metadata object for the security-role-ref element. The security-role-ref element contains the declaration of a security role reference in the enterprise bean’s code. The declaration con-sists of an optional description, the security role name used in the code, and an optional link to a defined security role. The value of the role-name element must be the String used as the parameter to the EJBContext.isCallerInRole(String roleName) method. The value of the role-link element must be the name of one of the security roles defined in the security-role elements. Used in: entity and session

Version:
  $Revision: 1.3.4.1 $
Author:
  Sebastien Alborini, Scott.Stark@jboss.org

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`SecurityRoleRefMetaData()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLink()`
`java.lang.String` | `getName()`
`void` | `importEjbJarXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityRoleRefMetaData

    public SecurityRoleRefMetaData()

Method Detail

### getName

    public java.lang.String getName()

### getLink

    public java.lang.String getLink()

### getDescription

    public java.lang.String getDescription()

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.